Summary:        Wrapper for Python's stdlib `tokenize` supporting roundtrips
Name:           python-tokenize-rt
Version:        5.0.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/asottile/tokenize-rt
Source0:        %{url}/archive/v%{version}/tokenize-rt-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

BuildArch:      noarch

%description 
The stdlib tokenize module does not properly roundtrip. This wrapper around the stdlib provides 
two additional tokens ESCAPED_NL and UNIMPORTANT_WS, and a Token data type. Use src_to_tokens 
and tokens_to_src to roundtrip.

This library is useful if you are writing a refactoring tool based on the python tokenization.

%package -n python3-tokenize-rt
Summary:        %{summary}

%description -n python3-tokenize-rt 
The stdlib tokenize module does not properly roundtrip. This wrapper around the stdlib provides 
two additional tokens ESCAPED_NL and UNIMPORTANT_WS, and a Token data type. Use src_to_tokens 
and tokens_to_src to roundtrip.

This library is useful if you are writing a refactoring tool based on the python tokenization.


%prep
%autosetup -p1 -n tokenize-rt-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tokenize_rt


%check
%pytest


%files -n python3-tokenize-rt -f %{pyproject_files}
%doc README.md
%{_bindir}/tokenize-rt


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 5.0.0-1
- initial build
